Package com.independentsoft.office.drawing

# Class Camera

java.lang.Object
com.independentsoft.office.drawing.Camera

public class Camera extends Object
The Class Camera.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Camera()`
  Instantiates a new camera.
  `Camera​(InternalXMLStreamReader reader)`
  Instantiates a new camera.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Camera`
  `clone()`
  `int`
  `getFieldOfView()`
  Gets the field of view.
  `Rotation`
  `getRotation()`
  Gets the rotation.
  `PresetCameraType`
  `getType()`
  Gets the type.
  `int`
  `getZoom()`
  Gets the zoom.
  `void`
  `setFieldOfView​(int fieldOfView)`
  Sets the field of view.
  `void`
  `setRotation​(Rotation rotation)`
  Sets the rotation.
  `void`
  `setType​(PresetCameraType type)`
  Sets the type.
  `void`
  `setZoom​(int zoom)`
  Sets the zoom.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Camera

    public Camera()
    Instantiates a new camera.

  - ### Camera

    public Camera​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new camera.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public Camera clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getRotation

    public Rotation getRotation()
    Gets the rotation.
    Returns:
      the rotation

  - ### setRotation

    public void setRotation​(Rotation rotation)
    Sets the rotation.
    Parameters:
      `rotation` - the new rotation

  - ### getFieldOfView

    public int getFieldOfView()
    Gets the field of view.
    Returns:
      the field of view

  - ### setFieldOfView

    public void setFieldOfView​(int fieldOfView)
    Sets the field of view.
    Parameters:
      `fieldOfView` - the new field of view

  - ### getType

    public PresetCameraType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(PresetCameraType type)
    Sets the type.
    Parameters:
      `type` - the new type

  - ### getZoom

    public int getZoom()
    Gets the zoom.
    Returns:
      the zoom

  - ### setZoom

    public void setZoom​(int zoom)
    Sets the zoom.
    Parameters:
      `zoom` - the new zoom